SLASH_WeaponUp1 = "/wu";
local function handler(msg, editbox)
	if (msg=="off") then
		wuenable = false
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r |cffff0000Off|r")
		myCheckButton_GlobalName:SetChecked(false)
	
	elseif (msg=="on") then
		wuenable = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r |cff00ff00On|r")
		myCheckButton_GlobalName:SetChecked(true)
		
	elseif (msg=="reequip off") then
		wufishingmode = false
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Re-equip mode |cffff0000Off|r")
		myCheckButton_GlobalName2:SetChecked(false)
	
	elseif (msg=="reequip on") then
		wufishingmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Re-equip mode |cff00ff00On|r")
		myCheckButton_GlobalName2:SetChecked(true)

	elseif (msg=="pvp off") then
		wupvpmode = nil
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r PvP mode |cffff0000Off|r")
		myCheckButton_GlobalName4:SetChecked(false)
	
	elseif (msg=="pvp on") then
		wupvpmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r PvP mode |cff00ff00On|r")
		myCheckButton_GlobalName4:SetChecked(true)	
	
	elseif (msg=="jousting off") then
		wujoustingmode = nil
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Jousting mode |cffff0000Off|r")
		myCheckButton_GlobalName5:SetChecked(false)
	
	elseif (msg=="jousting on") then
		wujoustingmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Jousting mode |cff00ff00On|r")
		myCheckButton_GlobalName5:SetChecked(true)

	elseif (msg=="spec off") then
		wuspecmode = nil
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Spec switching mode |cffff0000Off|r")
		myCheckButton_GlobalName6:SetChecked(false)
	
	elseif (msg=="spec on") then
		wuspecmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Spec switching mode |cff00ff00On|r")
		myCheckButton_GlobalName6:SetChecked(true)	
	
	elseif (msg =="" or msg == "help") then
		InterfaceOptionsFrame_OpenToCategory(WeaponUpOptions.panel)
	end
end
SlashCmdList["WeaponUp"] = handler;


WeaponUpOptions = {};
WeaponUpOptions.panel = CreateFrame( "Frame", "MyAddonPanel", UIParent );
WeaponUpOptions.panel.name = "WeaponUp";
InterfaceOptions_AddCategory(WeaponUpOptions.panel);
 
local Title = WeaponUpOptions.panel:CreateFontString("Title", "ARTWORK", "GameFontNormalLarge")
Title:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 10, -10)
Title:SetText("WeaponUp")

local PvPTitle = WeaponUpOptions.panel:CreateFontString("PvPTitle", "ARTWORK", "GameFontGreenLarge")
PvPTitle:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 210, -160)
PvPTitle:SetText("BattleGround/Arena Sets")

local PvETitle = WeaponUpOptions.panel:CreateFontString("PvETitle", "ARTWORK", "GameFontGreenLarge")
PvETitle:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 210, -40)
PvETitle:SetText("Dungeon/Raid Sets")

local Tree1 = WeaponUpOptions.panel:CreateFontString("Tree1", "ARTWORK", "GameFontNormal")
Tree1:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -300, 210)

local Tree2 = WeaponUpOptions.panel:CreateFontString("Tree2", "ARTWORK", "GameFontNormal")
Tree2:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -170, 210)

local Tree1pvp = WeaponUpOptions.panel:CreateFontString("Tree1pvp", "ARTWORK", "GameFontNormal")
Tree1pvp:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -300, 90)

local Tree2pvp = WeaponUpOptions.panel:CreateFontString("Tree2pvp", "ARTWORK", "GameFontNormal")
Tree2pvp:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -170, 90)

local Cook = WeaponUpOptions.panel:CreateFontString("Cook", "ARTWORK", "GameFontNormal")
Cook:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 25, -120)
Cook:SetText("Cooking Set")

local function TitleText(self, ...)
local primarySpec = GetSpecialization(false, false, 1)
local secondarySpec = GetSpecialization(false, false, 2)
		if primarySpec ~= nil then
			local id, name, description, icon, background, role = GetSpecializationInfo(primarySpec)
			Tree1:SetText(format("|T%s:16|t%s Set", icon, name))
			Tree1pvp:SetText(format("|T%s:16|t%s Set", icon, name))
		else
			Tree1:SetText("Primary Set")
			Tree1pvp:SetText("Primary Set")
		end
	
		if secondarySpec ~= nil then
			local id, name, description, icon, background, role = GetSpecializationInfo(secondarySpec)
			Tree2:SetText(format("|T%s:16|t%s Set", icon, name))
			Tree2pvp:SetText(format("|T%s:16|t%s Set", icon, name))
		else
			Tree2:SetText("Secondary Set")
			Tree2pvp:SetText("Secondary Set")
		end
end

WeaponUpOptions.panel:SetScript("OnShow", TitleText)

local myCheckButton = CreateFrame("CheckButton", "myCheckButton_GlobalName", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton:SetPoint("TOPLEFT", 20, -30);
myCheckButton_GlobalNameText:SetText("Enable");
myCheckButton.tooltip = "This will enable or disable all equipment swaps.";
 
 myCheckButton:SetScript("OnClick", 
  function()
    if myCheckButton:GetChecked() then
	wuenable = true
	else
	wuenable = false
	end
  end)

local myCheckButton2 = CreateFrame("CheckButton", "myCheckButton_GlobalName2", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton2:SetPoint("TOPLEFT", 20, -60);
myCheckButton_GlobalName2Text:SetText("Enable Re-equips");
myCheckButton2.tooltip = "If enabled this will restore your last set before the swap. Useful for re-equipping sets such as fishing or vanity.";
 
 myCheckButton2:SetScript("OnClick", 
  function()
    if myCheckButton2:GetChecked() then
	wufishingmode = true
	else
	wufishingmode = false
	end
  end)  

local myCheckButton3 = CreateFrame("CheckButton", "myCheckButton_GlobalName3", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton3:SetPoint("TOPLEFT", 20, -90);
myCheckButton_GlobalName3Text:SetText("Enable Cooking");
myCheckButton3.tooltip = "This will enable or disable using the cooking set.";
 
 myCheckButton3:SetScript("OnClick", 
  function()
    if myCheckButton3:GetChecked() then
	wucooking = true
	UIDropDownMenu_EnableDropDown(Cookset)
	else
	wucooking = false
	UIDropDownMenu_DisableDropDown(Cookset)
	end
  end)
 
local myCheckButton4 = CreateFrame("CheckButton", "myCheckButton_GlobalName4", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton4:SetPoint("TOPLEFT", 20, -175);
myCheckButton_GlobalName4Text:SetText("Enable PvP mode");
myCheckButton4.tooltip = "If enabled this will make your BG/Arena sets your preferred sets for talent changes and world combat instead of Dungeon/Raid.";
 
 myCheckButton4:SetScript("OnClick", 
  function()
    if myCheckButton4:GetChecked() then
	wupvpmode = true
	else
	wupvpmode = nil
	end
  end)

local myCheckButton5 = CreateFrame("CheckButton", "myCheckButton_GlobalName5", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton5:SetPoint("TOPLEFT", 20, -205);
myCheckButton_GlobalName5Text:SetText("Enable Jousting");
myCheckButton5.tooltip = "If enabled this will Autoequip lances for jousting.";
 
 myCheckButton5:SetScript("OnClick", 
  function()
    if myCheckButton5:GetChecked() then
	wujoustingmode = true
	else
	wujoustingmode = nil
	end
  end)
 
local myCheckButton6 = CreateFrame("CheckButton", "myCheckButton_GlobalName6", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton6:SetPoint("TOPLEFT", 20, -235);
myCheckButton_GlobalName6Text:SetText("Enable Spec Switching");
myCheckButton6.tooltip = "If enabled this will change sets when you switch talent specs.";
 
 myCheckButton6:SetScript("OnClick", 
  function()
    if myCheckButton6:GetChecked() then
	wuspecmode = true
	else
	wuspecmode = nil
	end
  end) 
 
local info = {}
 --First Dropdown 
local function SetSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Mydropdown, arg2)
	wuname = arg2
end 
local Mydropdown = CreateFrame("Frame", "Mydropdown", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Mydropdown.initialize = function(self, level) end
Mydropdown:SetPoint("TOPRIGHT", -405, -80);

Mydropdown.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		info.text = "None"
		--info.icon = icon
		info.func = SetSelection 
		--info.arg1 = i
		info.arg2 = nil
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SetSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

--Second Dropdown
local function SecondarySelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Secondary, arg2)
	wuname2 = arg2
end 

local Secondary = CreateFrame("Frame", "Secondary", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Secondary.initialize = function(self, level) end
Secondary:SetPoint("TOPRIGHT", -275, -80);

Secondary.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		info.text = "None"
		--info.icon = icon
		info.func = SecondarySelection 
		--info.arg1 = i
		info.arg2 = nil
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SecondarySelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

--Third dropdown
local function CookSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Cookset, arg2)
	wucookingname = arg2
end 

local Cookset = CreateFrame("Frame", "Cookset", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Cookset.initialize = function(self, level) end
Cookset:SetPoint("LEFT", 10, 130);

Cookset.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		info.text = "None"
		--info.icon = icon
		info.func = CookSelection 
		--info.arg1 = i
		info.arg2 = nil
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = CookSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

 --Fifth Dropdown 
local function FifthSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Fifth, arg2)
	wupvpname = arg2
end 
local Fifth = CreateFrame("Frame", "Fifth", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Fifth.initialize = function(self, level) end
Fifth:SetPoint("TOPRIGHT", -405, -200);

Fifth.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		info.text = "None"
		--info.icon = icon
		info.func = FifthSelection 
		--info.arg1 = i
		info.arg2 = nil
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = FifthSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

local function SixthSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Sixth, arg2)
	wupvpname2 = arg2
end 

--Sixth Dropdown
local Sixth = CreateFrame("Frame", "Sixth", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Sixth.initialize = function(self, level) end
Sixth:SetPoint("TOPRIGHT", -275, -200);

Sixth.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		info.text = "None"
		--info.icon = icon
		info.func = SixthSelection 
		--info.arg1 = i
		info.arg2 = nil
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SixthSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end